<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.css">
    <style>
        #caja {
            width: 100px;
            height: 100px;
            background-color: cornflowerblue;
            border: 2px black solid;
            position: relative;
            top: 10px;
            left: 10px;
        }

        button {
            padding: 10px;
            margin: 5px;
            border-radius: 10px;
        }
    </style>
</head>

<body>
    <div class="container text-center">
        <button id="derecha">Mover 100px a la derecha</button>
        <button id="izquierda">Mover 100px a la izquierda</button>
        <button id="arriba">Mover 100px arriba</button>
        <button id="abajo">Mover 100px abajo</button>
        <div id="caja"></div>
    </div>




    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script>
        $('#derecha').click(function () {
            $('#caja').animate({ left: "+=100px" }, 500);
        });

        $('#izquierda').click(function () {
            $('#caja').animate({ left: "-=100px" }, 500);
        });

        $('#arriba').click(function () {
            $('#caja').animate({ top: "-=100px" }, 500);
        });

        $('#abajo').click(function () {
            $('#caja').animate({ top: "+=100px" }, 500);
        });


    </script>
</body>

</html>